You need IE 3.0 or Netscape 3.0 to view this applet